CFCharacterSet Reference

## Detailed Description

## Typedefs

typedef const struct __CFCharacterSet * | CFCharacterSetRef

## Enumerations

enum

CFCharacterSetPredefinedSet {
kCFCharacterSetControl = 1 , kCFCharacterSetWhitespace , kCFCharacterSetWhitespaceAndNewline , kCFCharacterSetDecimalDigit ,
kCFCharacterSetLetter , kCFCharacterSetLowercaseLetter , kCFCharacterSetUppercaseLetter , kCFCharacterSetNonBase ,
kCFCharacterSetDecomposable , kCFCharacterSetAlphaNumeric , kCFCharacterSetPunctuation , kCFCharacterSetCapitalizedLetter = 13 ,
kCFCharacterSetSymbol = 14 , kCFCharacterSetNewline = 15 , kCFCharacterSetIllegal = 12
}

## Creating Character Sets

CFCharacterSetRef | CFCharacterSetCreateCopy (CFAllocatorRef alloc, CFCharacterSetRef set)
CFCharacterSetRef | CFCharacterSetCreateInvertedSet (CFAllocatorRef alloc, CFCharacterSetRef set)
CFCharacterSetRef | CFCharacterSetCreateWithCharactersInRange (CFAllocatorRef alloc, CFRange range)
CFCharacterSetRef | CFCharacterSetCreateWithCharactersInString (CFAllocatorRef alloc, CFStringRef string)
CFCharacterSetRef | CFCharacterSetCreateWithBitmapRepresentation (CFAllocatorRef alloc, CFDataRef data)

## Getting Predefined Character Sets

CFCharacterSetRef | CFCharacterSetGetPredefined (CFCharacterSetPredefinedSet setIdentifier)

## Querying Character Sets

CFDataRef | CFCharacterSetCreateBitmapRepresentation (CFAllocatorRef alloc, CFCharacterSetRef set)
Boolean | CFCharacterSetIsCharacterMember (CFCharacterSetRef set, UniChar c)
Boolean | CFCharacterSetHasMemberInPlane (CFCharacterSetRef set, CFIndex plane)
Boolean | CFCharacterSetIsLongCharacterMember (CFCharacterSetRef set, UTF32Char c)
Boolean | CFCharacterSetIsSupersetOfSet (CFCharacterSetRef set, CFCharacterSetRef otherSet)

## Getting the Character Set Type Identifier

CFTypeID | CFCharacterSetGetTypeID (void)